{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Update multiple Magic static routes. Use `?validate_only=true` as an optional query parameter to run validation only without persisting changes. Only fields for a route that need to be changed need be provided.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/magic_identifier"}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/magic_route_update_many_request"}},"required":["path","body"],"additionalProperties":false,"definitions":{"magic_identifier":{"description":"Identifier","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"magic_route_update_many_request":{"type":"object","properties":{"routes":{"type":"array","items":{"$ref":"#/definitions/magic_route_update_single_request"}}},"required":["routes"]},"magic_route_update_single_request":{"allOf":[{"properties":{"id":{"$ref":"#/definitions/magic_identifier"}},"required":["id"],"type":"object"},{"$ref":"#/definitions/magic_route_add_single_request"}]},"magic_route_add_single_request":{"type":"object","properties":{"description":{"$ref":"#/definitions/magic_description"},"nexthop":{"$ref":"#/definitions/magic_nexthop"},"prefix":{"$ref":"#/definitions/magic_prefix"},"priority":{"$ref":"#/definitions/magic_priority"},"scope":{"$ref":"#/definitions/magic_scope"},"weight":{"$ref":"#/definitions/magic_weight"}},"required":["prefix","nexthop","priority"]},"magic_description":{"description":"An optional human provided description of the static route.","type":"string","examples":["New route for new prefix 203.0.113.1"]},"magic_nexthop":{"description":"The next-hop IP Address for the static route.","type":"string","examples":["203.0.113.1"]},"magic_prefix":{"description":"IP Prefix in Classless Inter-Domain Routing format.","type":"string","examples":["192.0.2.0/24"]},"magic_priority":{"description":"Priority of the static route.","type":"integer"},"magic_scope":{"description":"Used only for ECMP routes.","type":"object","properties":{"colo_names":{"$ref":"#/definitions/magic_colo_names"},"colo_regions":{"$ref":"#/definitions/magic_colo_regions"}}},"magic_weight":{"description":"Optional weight of the ECMP scope - if provided.","type":"integer"},"magic_colo_names":{"description":"List of colo names for the ECMP scope.","type":"array","items":{"$ref":"#/definitions/magic_colo_name"}},"magic_colo_regions":{"description":"List of colo regions for the ECMP scope.","type":"array","items":{"$ref":"#/definitions/magic_colo_region"}},"magic_colo_name":{"description":"Scope colo name.","type":"string","examples":["den01"]},"magic_colo_region":{"description":"Scope colo region.","type":"string","examples":["APAC"]}}},"name":"Update Many Routes","id":"cloudflare.magic-static-routes-update-many-routes","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"routes":[]}},"maxRequests":1,"summary":false}}